summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-03-05 01:57:31 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2018-03-05 07:06:26 +0100
commit0f2133ecf5177fd1489f8cf93946266cf70c6a4b (patch)
tree46005cb276b563d44ba7067e2563407c0156cead /sci-geosciences
parentsys-kernel/gentoo-sources: genpatches-4.9-89 (diff)
downloadgentoo-0f2133ecf5177fd1489f8cf93946266cf70c6a4b.tar.gz
gentoo-0f2133ecf5177fd1489f8cf93946266cf70c6a4b.tar.bz2
gentoo-0f2133ecf5177fd1489f8cf93946266cf70c6a4b.zip
sci-geosciences/qgis: Fix DEPENDs
Closes: https://bugs.gentoo.org/649526 Package-Manager: Portage-2.3.24, Repoman-2.3.6
Diffstat (limited to 'sci-geosciences')
-rw-r--r--sci-geosciences/qgis/files/qgis-3.0.0-featuresummary.patch31
-rw-r--r--sci-geosciences/qgis/metadata.xml1
-rw-r--r--sci-geosciences/qgis/qgis-3.0.0-r1.ebuild218
-rw-r--r--sci-geosciences/qgis/qgis-9999.ebuild12
4 files changed, 258 insertions, 4 deletions
diff --git a/sci-geosciences/qgis/files/qgis-3.0.0-featuresummary.patch b/sci-geosciences/qgis/files/qgis-3.0.0-featuresummary.patch
new file mode 100644
index 00000000000..8787dc09196
--- /dev/null
+++ b/sci-geosciences/qgis/files/qgis-3.0.0-featuresummary.patch
@@ -0,0 +1,31 @@
+From 70505aa1569c541dd252115848f46f91811955c0 Mon Sep 17 00:00:00 2001
+From: Andreas Sturmlechner <andreas.sturmlechner@gmail.com>
+Date: Sun, 9 Apr 2017 20:21:28 +0200
+Subject: [PATCH 1/2] Use FeatureSummary
+
+---
+ CMakeLists.txt | 4 ++++
+ 1 file changed, 4 insertions(+)
+
+diff --git a/CMakeLists.txt b/CMakeLists.txt
+index ed0a84013a..26f4659f61 100644
+--- a/CMakeLists.txt
++++ b/CMakeLists.txt
+@@ -28,6 +28,8 @@ SET(CMAKE_COLOR_MAKEFILE ON)
+ # set path to additional CMake modules
+ SET(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})
+
++include(FeatureSummary)
++
+ # in generated makefiles use relative paths so the project dir is moveable
+ # Note commented out since it cause problems but it would be nice to resolve these and enable
+ #
+@@ -908,3 +910,5 @@ ENDIF(WIN32 AND NOT UNIX)
+ SET(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README.md")
+ INCLUDE(CPack)
+ ENDIF (WITH_CORE)
++
++FEATURE_SUMMARY(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
+--
+2.12.2
+
diff --git a/sci-geosciences/qgis/metadata.xml b/sci-geosciences/qgis/metadata.xml
index 511bb239d69..da9f159f45d 100644
--- a/sci-geosciences/qgis/metadata.xml
+++ b/sci-geosciences/qgis/metadata.xml
@@ -14,6 +14,7 @@
tracks from your GPS.
</longdescription>
<use>
+ <flag name="3d">Build QGIS 3D library using <pkg>dev-qt/qt3d</pkg></flag>
<flag name="designer">Build custom widgets for <pkg>dev-qt/designer</pkg></flag>
<flag name="georeferencer">Determines whether georeferencer plugin should be built</flag>
<flag name="grass">Add support for <pkg>sci-geosciences/grass</pkg></flag>
diff --git a/sci-geosciences/qgis/qgis-3.0.0-r1.ebuild b/sci-geosciences/qgis/qgis-3.0.0-r1.ebuild
new file mode 100644
index 00000000000..4f627756c81
--- /dev/null
+++ b/sci-geosciences/qgis/qgis-3.0.0-r1.ebuild
@@ -0,0 +1,218 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python3_5 )
+PYTHON_REQ_USE="sqlite"
+QT_MIN_VER="5.9.1"
+
+if [[ ${PV} != *9999 ]]; then
+ SRC_URI="https://qgis.org/downloads/${P}.tar.bz2
+ examples? ( https://qgis.org/downloads/data/qgis_sample_data.tar.gz -> qgis_sample_data-2.8.14.tar.gz )"
+ KEYWORDS="~amd64 ~x86"
+else
+ GIT_ECLASS="git-r3"
+ EGIT_REPO_URI="https://github.com/${PN}/${PN^^}.git"
+fi
+inherit cmake-utils eutils ${GIT_ECLASS} gnome2-utils python-single-r1 qmake-utils xdg-utils
+unset GIT_ECLASS
+
+DESCRIPTION="User friendly Geographic Information System"
+HOMEPAGE="https://www.qgis.org/"
+
+LICENSE="GPL-2+ GPL-3+"
+SLOT="0"
+IUSE="3d examples georeferencer grass mapserver oracle polar postgres python webkit"
+
+REQUIRED_USE="
+ mapserver? ( python )
+ python? ( ${PYTHON_REQUIRED_USE} )"
+
+COMMON_DEPEND="
+ app-crypt/qca:2[qt5(+),ssl]
+ >=dev-db/spatialite-4.2.0
+ dev-db/sqlite:3
+ dev-libs/expat
+ dev-libs/libzip:=
+ dev-libs/qtkeychain[qt5(+)]
+ >=dev-qt/designer-${QT_MIN_VER}:5
+ >=dev-qt/qtconcurrent-${QT_MIN_VER}:5
+ >=dev-qt/qtcore-${QT_MIN_VER}:5
+ >=dev-qt/qtgui-${QT_MIN_VER}:5
+ >=dev-qt/qtnetwork-${QT_MIN_VER}:5
+ >=dev-qt/qtpositioning-${QT_MIN_VER}:5
+ >=dev-qt/qtprintsupport-${QT_MIN_VER}:5
+ >=dev-qt/qtsvg-${QT_MIN_VER}:5
+ >=dev-qt/qtsql-${QT_MIN_VER}:5
+ >=dev-qt/qtwidgets-${QT_MIN_VER}:5
+ >=dev-qt/qtxml-${QT_MIN_VER}:5
+ >=sci-libs/gdal-2.2.3:=[geos,python?,${PYTHON_USEDEP}]
+ sci-libs/geos
+ sci-libs/libspatialindex:=
+ sci-libs/proj
+ >=x11-libs/qscintilla-2.10.1:=[qt5(+)]
+ >=x11-libs/qwt-6.1.2:6=[qt5(+),svg]
+ 3d? ( >=dev-qt/qt3d-${QT_MIN_VER}:5 )
+ georeferencer? ( sci-libs/gsl:= )
+ grass? ( >=sci-geosciences/grass-7.0.0:= )
+ mapserver? ( dev-libs/fcgi )
+ oracle? (
+ dev-db/oracle-instantclient:=
+ sci-libs/gdal:=[oracle]
+ )
+ polar? ( >=x11-libs/qwtpolar-1.1.1-r1[qt5(+)] )
+ postgres? ( dev-db/postgresql:= )
+ python? ( ${PYTHON_DEPS}
+ dev-python/future[${PYTHON_USEDEP}]
+ dev-python/httplib2[${PYTHON_USEDEP}]
+ dev-python/jinja[${PYTHON_USEDEP}]
+ dev-python/markupsafe[${PYTHON_USEDEP}]
+ dev-python/owslib[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ dev-python/PyQt5[designer,sql,svg,webkit?,${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/pyyaml[${PYTHON_USEDEP}]
+ >=dev-python/qscintilla-python-2.10.1[qt5(+),${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/sip:=[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ postgres? ( dev-python/psycopg:2[${PYTHON_USEDEP}] )
+ )
+ webkit? ( >=dev-qt/qtwebkit-${QT_MIN_VER}:5 )
+"
+DEPEND="${COMMON_DEPEND}
+ >=dev-qt/linguist-tools-${QT_MIN_VER}:5
+ >=dev-qt/qttest-${QT_MIN_VER}:5
+ >=dev-qt/qtxmlpatterns-${QT_MIN_VER}:5
+ sys-devel/bison
+ sys-devel/flex
+"
+RDEPEND="${COMMON_DEPEND}
+ sci-geosciences/gpsbabel
+"
+
+# Disabling test suite because upstream disallow running from install path
+RESTRICT="test"
+
+PATCHES=(
+ # git master
+ "${FILESDIR}/${PN}-2.18.12-cmake-lib-suffix.patch"
+ # TODO upstream
+ "${FILESDIR}/${P}-featuresummary.patch"
+)
+
+pkg_setup() {
+ python-single-r1_pkg_setup
+}
+
+src_prepare() {
+ cmake-utils_src_prepare
+
+ sed -e "s:\${QT_BINARY_DIR}:$(qt5_get_bindir):" \
+ -i CMakeLists.txt || die "Failed to fix lrelease path"
+
+ sed -e "/QT_LRELEASE_EXECUTABLE/d" \
+ -e "/QT_LUPDATE_EXECUTABLE/s/set/find_program/" \
+ -e "s:lupdate-qt5:NAMES lupdate PATHS $(qt5_get_bindir) NO_DEFAULT_PATH:" \
+ -i cmake/modules/ECMQt4To5Porting.cmake || die "Failed to fix ECMQt4To5Porting.cmake"
+
+ cd src/plugins || die
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DQGIS_MANUAL_SUBDIR=/share/man/
+ -DBUILD_SHARED_LIBS=ON
+ -DQGIS_LIB_SUBDIR=$(get_libdir)
+ -DQGIS_PLUGIN_SUBDIR=$(get_libdir)/qgis
+ -DQWT_INCLUDE_DIR=/usr/include/qwt6
+ -DQWT_LIBRARY=/usr/$(get_libdir)/libqwt6-qt5.so
+ -DPEDANTIC=OFF
+ -DWITH_APIDOC=OFF
+ -DWITH_QSPATIALITE=ON
+ -DENABLE_TESTS=OFF
+ -DWITH_3D=$(usex 3d)
+ -DWITH_GEOREFERENCER=$(usex georeferencer)
+ -DWITH_GRASS=$(usex grass)
+ -DWITH_SERVER=$(usex mapserver)
+ -DWITH_ORACLE=$(usex oracle)
+ -DWITH_QWTPOLAR=$(usex polar)
+ -DWITH_POSTGRESQL=$(usex postgres)
+ -DWITH_BINDINGS=$(usex python)
+ -DWITH_CUSTOM_WIDGETS=$(usex python)
+ -DWITH_QTWEBKIT=$(usex webkit)
+ )
+
+ if use grass; then
+ mycmakeargs+=(
+ -DWITH_GRASS7=ON
+ -DGRASS_PREFIX7=/usr/$(get_libdir)/grass70
+ )
+ fi
+
+ use python && mycmakeargs+=( -DBINDINGS_GLOBAL_INSTALL=ON )
+
+ # bug 612956
+ addpredict /dev/dri/renderD128
+
+ cmake-utils_src_configure
+}
+
+src_install() {
+ cmake-utils_src_install
+
+ domenu debian/qgis.desktop
+
+ local size type
+ for size in 16 22 24 32 48 64 96 128 256; do
+ newicon -s ${size} debian/icons/${PN}-icon${size}x${size}.png ${PN}.png
+ newicon -c mimetypes -s ${size} debian/icons/${PN}-mime-icon${size}x${size}.png ${PN}-mime.png
+ for type in qgs qml qlr qpt; do
+ newicon -c mimetypes -s ${size} debian/icons/${PN}-${type}${size}x${size}.png ${PN}-${type}.png
+ done
+ done
+ newicon -s scalable images/icons/qgis_icon.svg qgis.svg
+
+ insinto /usr/share/mime/packages
+ doins debian/qgis.xml
+
+ if use examples; then
+ docinto examples
+ dodoc -r "${WORKDIR}"/qgis_sample_data/.
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+
+ python_optimize "${ED%/}"/usr/share/qgis/python
+
+ if use grass; then
+ python_fix_shebang "${ED%/}"/usr/share/qgis/grass/scripts
+ fi
+}
+
+pkg_postinst() {
+ if use postgres; then
+ elog "If you don't intend to use an external PostGIS server"
+ elog "you should install:"
+ elog " dev-db/postgis"
+ elif use python; then
+ elog "Support of PostgreSQL is disabled."
+ elog "But some installed python-plugins import the psycopg2 module."
+ elog "If you do not need these plugins just disable them"
+ elog "in the Plugins menu, else you need to set USE=\"postgres\""
+ fi
+ if has_version "<sci-geosciences/qgis-3"; then
+ elog "QGIS is now based on PyQt5. Old scripts may not work anymore."
+ fi
+
+ gnome2_icon_cache_update
+ xdg_mimeinfo_database_update
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ xdg_mimeinfo_database_update
+ xdg_desktop_database_update
+}
diff --git a/sci-geosciences/qgis/qgis-9999.ebuild b/sci-geosciences/qgis/qgis-9999.ebuild
index d773dd57187..3c190c67ffb 100644
--- a/sci-geosciences/qgis/qgis-9999.ebuild
+++ b/sci-geosciences/qgis/qgis-9999.ebuild
@@ -23,7 +23,7 @@ HOMEPAGE="https://www.qgis.org/"
LICENSE="GPL-2+ GPL-3+"
SLOT="0"
-IUSE="designer examples georeferencer grass mapserver oracle polar postgres python webkit"
+IUSE="3d examples georeferencer grass mapserver oracle polar postgres python webkit"
REQUIRED_USE="
mapserver? ( python )
@@ -36,6 +36,7 @@ COMMON_DEPEND="
dev-libs/expat
dev-libs/libzip:=
dev-libs/qtkeychain[qt5(+)]
+ >=dev-qt/designer-${QT_MIN_VER}:5
>=dev-qt/qtconcurrent-${QT_MIN_VER}:5
>=dev-qt/qtcore-${QT_MIN_VER}:5
>=dev-qt/qtgui-${QT_MIN_VER}:5
@@ -52,7 +53,7 @@ COMMON_DEPEND="
sci-libs/proj
>=x11-libs/qscintilla-2.10.1:=[qt5(+)]
>=x11-libs/qwt-6.1.2:6=[qt5(+),svg]
- designer? ( >=dev-qt/designer-${QT_MIN_VER}:5 )
+ 3d? ( >=dev-qt/qt3d-${QT_MIN_VER}:5 )
georeferencer? ( sci-libs/gsl:= )
grass? ( >=sci-geosciences/grass-7.0.0:= )
mapserver? ( dev-libs/fcgi )
@@ -69,7 +70,7 @@ COMMON_DEPEND="
dev-python/markupsafe[${PYTHON_USEDEP}]
dev-python/owslib[${PYTHON_USEDEP}]
dev-python/pygments[${PYTHON_USEDEP}]
- dev-python/PyQt5[sql,svg,webkit?,${PYTHON_USEDEP}]
+ dev-python/PyQt5[designer,sql,svg,webkit?,${PYTHON_USEDEP}]
dev-python/python-dateutil[${PYTHON_USEDEP}]
dev-python/pytz[${PYTHON_USEDEP}]
dev-python/pyyaml[${PYTHON_USEDEP}]
@@ -98,6 +99,8 @@ RESTRICT="test"
PATCHES=(
# git master
"${FILESDIR}/${PN}-2.18.12-cmake-lib-suffix.patch"
+ # TODO upstream
+ "${FILESDIR}/${PN}-3.0.0-featuresummary.patch"
)
pkg_setup() {
@@ -130,7 +133,7 @@ src_configure() {
-DWITH_APIDOC=OFF
-DWITH_QSPATIALITE=ON
-DENABLE_TESTS=OFF
- -DWITH_CUSTOM_WIDGETS=$(usex designer)
+ -DWITH_3D=$(usex 3d)
-DWITH_GEOREFERENCER=$(usex georeferencer)
-DWITH_GRASS=$(usex grass)
-DWITH_SERVER=$(usex mapserver)
@@ -138,6 +141,7 @@ src_configure() {
-DWITH_QWTPOLAR=$(usex polar)
-DWITH_POSTGRESQL=$(usex postgres)
-DWITH_BINDINGS=$(usex python)
+ -DWITH_CUSTOM_WIDGETS=$(usex python)
-DWITH_QTWEBKIT=$(usex webkit)
)